org.apache.maven.scm.provider.hg.repository

## Class HgScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.ScmProviderRepositoryWithHost
    - - org.apache.maven.scm.provider.hg.repository.HgScmProviderRepository

-     public class HgScmProviderRepository
      extends ScmProviderRepositoryWithHost

  Version:
    $Id: HgScmProviderRepository.java 686735 2008-08-18 12:28:29Z vsiveton $
  Author:
    thurner rupert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HgScmProviderRepository(String url)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getURI()`
    `String` | `toString()`
    `String` | `validateURI()`

    - ### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepositoryWithHost

      `getHost, getPassphrase, getPort, getPrivateKey, setHost, setPassphrase, setPort, setPrivateKey`

    - ### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

      `getParent, getPassword, getRelativePath, getUser, isPersistCheckout, setPassword, setPersistCheckout, setUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HgScmProviderRepository

          public HgScmProviderRepository(String url)

  - ### Method Detail

    - #### getURI

          public String getURI()

    - #### validateURI

          public String validateURI()

      Returns:
        A message if the repository as an invalid URI, null if the URI seems fine.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2003–2015. All rights reserved.